%define fversion %{version}

Summary:	Free Audio Editor With Effects/Analysis Tools
Name:		audacity
Version:	2.0.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound
URL:		http://audacity.sourceforge.net/
Source0:	http://audacity.googlecode.com/files/%{name}-minsrc-%{fversion}.tar.bz2
Patch0:		audacity-1.3.13-desktopentry.patch
Patch5:		audacity-system-libs.patch
#gw use Alsa by default
Patch6:		audacity-1.3.8-alsa-by-default.patch
Patch8:		audacity-1.3.14-CVE-2007-6061.patch
Patch10:	audacity-1.3.7-CVE-2009-0490.diff
Patch11:	audacity-2.0.0-fix-linking.patch
BuildRequires:	autoconf2.5
BuildRequires:	fftw-devel >= 2.1.4
BuildRequires:	gettext-devel
BuildRequires:	imagemagick
BuildRequires:	libalsa-devel
BuildRequires:	libflac++-devel
BuildRequires:	libjack-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmad-devel
BuildRequires:	libogg-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libvorbis-devel
BuildRequires:	soundtouch-devel >= 1.3.0
BuildRequires:	speex-devel
BuildRequires:	twolame-devel
BuildRequires:	wxgtku2.8-devel >= 2.8.10
BuildRequires:	zlib-devel
BuildRequires:	libffmpeg-devel
BuildRequires:	vamp-plugin-sdk-devel
BuildRequires:	libexpat-devel
#for compressing the help file:
BuildRequires:	zip
Obsoletes:	hackaudacity
Requires(post): shared-mime-info
Requires(postun): shared-mime-info
Requires(post):	desktop-file-utils
Requires(postun):desktop-file-utils
Suggests: libffmpeg
Suggests: %mklibname lame 0

%description
Audacity is a program that lets you manipulate digital audio waveforms.

In addition to letting you record sounds directly from within the program,
it imports many sound file formats, including WAV, AIFF, MP3 and Ogg/Vorbis.
It supports all common editing operations such as Cut, Copy, and Paste, plus
it will mix tracks and let you apply plug-in effects to any part of a sound.
It also has a built-in amplitude envelope editor, a customizable spectrogram
mode and a frequency analysis window for audio analysis applications.

%prep

%setup -q -n %{name}-src-%{fversion}
%patch0 -p1 -b .desktopentry
%patch5 -p1 -b .system-libs
%patch6 -p1 -b .alsa-by-default
%patch8 -p1
%patch10 -p0 -b .CVE-2009-0490
%patch11 -p1 -b .linking

chmod 644 *.txt
aclocal -I m4
autoconf

%build
export PATH=$PATH:`pwd`
export LDFALGS="%ldflags"
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --enable-optimise \
    --enable-unicode \
    --with-vorbis=system \
    --with-libmad=system \
    --with-libsndfile=system \
    --with-libsamplerate \
    --with-id3tag=system \
    --with-soundtouch=system \
    --with-portmixer \
    --with-portaudio \
    --with-libtwolame=system \
    --with-ffmpeg
%make

%install
rm -rf %{buildroot} %{name}.lang
%makeinstall_std

%find_lang %{name}

#clean uneeded installed but not packaged
rm -rf %{buildroot}%{_docdir}/%{name}

#gw work around bug #52526
mkdir -p %buildroot%_datadir/%name/help/manual

%files -f %{name}.lang
%doc LICENSE.txt README.txt
%{_bindir}/*
%{_datadir}/audacity
%{_datadir}/applications/%{name}.desktop
%_datadir/icons/hicolor/*/apps/audacity.*
%_datadir/pixmaps/*
%{_datadir}/mime/packages/audacity.xml
%{_mandir}/man1/audacity.1*


%changelog

* Wed Apr 18 2012 dams <dams> 2.0.0-1.mga2
+ Revision: 231438
- new version 2.0.0
- rediff patch

* Tue Jan 24 2012 zezinho <zezinho> 1.3.14-1.mga2
+ Revision: 200651
- patch to link to pthread
- patch to fix ffmpeg
- patch to fix gtypes
- rediff patch
- new version

* Mon Sep 19 2011 fwang <fwang> 1.3.13-2.mga2
+ Revision: 145289
- fix build with latest ffmpeg
- rebuild for new libpng

* Tue Jun 07 2011 ahmad <ahmad> 1.3.13-1.mga2
+ Revision: 101629
- Update to 1.3.13
- Rediff the desktopentry patch
- Drop patch1,11
- Update configure options (just '--with-portaudio' works)

* Tue Mar 08 2011 ennael <ennael> 1.3.12-3.mga1
+ Revision: 66674
- clean spec file
- imported package audacity

